#include "pcode.h"
#include <init.h>

HARBOUR HB_DEFAULT( void );
HARBOUR HB_TOCHAR( void );
HARBOUR HB_DEBUG( void );
HARBOUR HB_VALTYPE( void );
HARBOUR HB_ALLTRIM( void );
HARBOUR HB_STR( void );
HARBOUR HB_TRANSFORM( void );
HARBOUR HB_LEN( void );
HARBOUR HB_EVAL( void );
HARBOUR HB_AOGET( void );
HARBOUR HB_QOUT( void );


HB_INIT_SYMBOLS_BEGIN( STRINGP__InitSymbols )
{ "DEFAULT", FS_PUBLIC, HB_DEFAULT, 0 },
{ "VALTYPE", FS_PUBLIC, HB_VALTYPE, 0 },
{ "TOCHAR", FS_PUBLIC, HB_TOCHAR, 0 },
{ "ALLTRIM", FS_PUBLIC, HB_ALLTRIM, 0 },
{ "STR", FS_PUBLIC, HB_STR, 0 },
{ "TRANSFORM", FS_PUBLIC, HB_TRANSFORM, 0 },
{ "LEN", FS_PUBLIC, HB_LEN, 0 },
{ "EVAL", FS_PUBLIC, HB_EVAL, 0 },
{ "CLASSNAME", FS_PUBLIC, 0, 0 },
{ "CLASSH", FS_PUBLIC, 0, 0 },
{ "AOGET", FS_PUBLIC, HB_AOGET, 0 },
{ "RUN", FS_PUBLIC, 0, 0 },
{ "DEBUG", FS_PUBLIC, HB_DEBUG, 0 },
{ "QOUT", FS_PUBLIC, HB_QOUT, 0 }
HB_INIT_SYMBOLS_END( STRINGP__InitSymbols );
#if ! defined(__GNUC__)
#pragma startup STRINGP__InitSymbols
#endif


HARBOUR HB_DEFAULT( void )
{
  static BYTE pcode[] = { 
                HB_P_FRAME, 0, 2,		/* locals, params */
/* 00006 */  HB_P_LINE, 42, 0,		/* 42 */
                HB_P_PUSHSYM, 1, 0,      /* VALTYPE */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XARG */
                HB_P_FUNCTION, 1, 0,
                HB_P_PUSHSYM, 1, 0,      /* VALTYPE */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 2, 0,	/* XDEF */
                HB_P_FUNCTION, 1, 0,
                HB_P_NOTEQUAL,
                HB_P_JUMPFALSE, 9, 0,	/* 9 (abs: 00039) */
                HB_P_PUSHLOCAL, 2, 0,	/* XDEF */
                HB_P_JUMP, 6, 0,	/* 6 (abs: 00042) */
                HB_P_PUSHLOCAL, 1, 0,	/* XARG */
                HB_P_RETVALUE,
                HB_P_JUMP, 3, 0,	/* 3 (abs: 00046) */
/* 00046 */  HB_P_ENDPROC };

   VirtualMachine( pcode, symbols );
}

HARBOUR HB_TOCHAR( void )
{
  static BYTE pcode[] = { 
                HB_P_FRAME, 5, 3,		/* locals, params */
/* 00006 */  HB_P_LINE, 69, 0,		/* 69 */
/* 00009 */  HB_P_LINE, 70, 0,		/* 70 */
/* 00012 */  HB_P_LINE, 71, 0,		/* 71 */
/* 00015 */  HB_P_LINE, 72, 0,		/* 72 */
/* 00018 */  HB_P_LINE, 73, 0,		/* 73 */
/* 00021 */  HB_P_LINE, 75, 0,		/* 75 */
                HB_P_PUSHSYM, 0, 0,      /* DEFAULT */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 ' ',
                HB_P_FUNCTION, 2, 0,
                HB_P_POPLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_POP,
/* 00045 */  HB_P_LINE, 76, 0,		/* 76 */
                HB_P_PUSHSYM, 0, 0,      /* DEFAULT */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_FALSE,
                HB_P_FUNCTION, 2, 0,
                HB_P_POPLOCAL, 3, 0,	/* LDEBUG */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_POP,
/* 00066 */  HB_P_LINE, 77, 0,		/* 77 */
                HB_P_PUSHSYM, 1, 0,      /* VALTYPE */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_FUNCTION, 1, 0,
                HB_P_POPLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_POP,
/* 00086 */  HB_P_LINE, 79, 0,		/* 79 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'C',
                HB_P_EXACTLYEQUAL,
                HB_P_DUPLICATE,
                HB_P_JUMPTRUE, 12, 0,	/* 12 (abs: 00110) */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'M',
                HB_P_EXACTLYEQUAL,
                HB_P_OR,
                HB_P_JUMPFALSE, 41, 0,	/* 41 (abs: 00151) */
/* 00113 */  HB_P_LINE, 81, 0,		/* 81 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 19, 0,	/* 19 (abs: 00138) */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 '"',
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_PLUS,
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 '"',
                HB_P_PLUS,
                HB_P_JUMP, 6, 0,	/* 6 (abs: 00141) */
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 244, 2,	/* 756 (abs: 00904) */
/* 00151 */  HB_P_LINE, 83, 0,		/* 83 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'N',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 33, 0,	/* 33 (abs: 00195) */
/* 00165 */  HB_P_LINE, 84, 0,		/* 84 */
                HB_P_PUSHSYM, 3, 0,      /* ALLTRIM */
                HB_P_PUSHNIL,
                HB_P_PUSHSYM, 4, 0,      /* STR */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_FUNCTION, 1, 0,
                HB_P_FUNCTION, 1, 0,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 200, 2,	/* 712 (abs: 00904) */
/* 00195 */  HB_P_LINE, 86, 0,		/* 86 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'U',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 34, 0,	/* 34 (abs: 00240) */
/* 00209 */  HB_P_LINE, 87, 0,		/* 87 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 12, 0,	/* 12 (abs: 00227) */
                HB_P_PUSHSTR, 3, 0,     /* 3 */
 'N', 'I', 'L',
                HB_P_JUMP, 6, 0,	/* 6 (abs: 00230) */
                HB_P_PUSHSTR, 0, 0,     /* 0 */

                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 155, 2,	/* 667 (abs: 00904) */
/* 00240 */  HB_P_LINE, 89, 0,		/* 89 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'D',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 29, 0,	/* 29 (abs: 00280) */
/* 00254 */  HB_P_LINE, 90, 0,		/* 90 */
                HB_P_PUSHSYM, 5, 0,      /* TRANSFORM */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_PUSHSTR, 0, 0,     /* 0 */

                HB_P_FUNCTION, 2, 0,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 115, 2,	/* 627 (abs: 00904) */
/* 00280 */  HB_P_LINE, 92, 0,		/* 92 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'L',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 77, 0,	/* 77 (abs: 00368) */
/* 00294 */  HB_P_LINE, 93, 0,		/* 93 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 34, 0,	/* 34 (abs: 00334) */
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_JUMPFALSE, 12, 0,	/* 12 (abs: 00318) */
                HB_P_PUSHSTR, 3, 0,     /* 3 */
 '.', 'T', '.',
                HB_P_JUMP, 9, 0,	/* 9 (abs: 00324) */
                HB_P_PUSHSTR, 3, 0,     /* 3 */
 '.', 'F', '.',
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 34, 0,	/* 34 (abs: 00365) */
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_JUMPFALSE, 13, 0,	/* 13 (abs: 00350) */
                HB_P_PUSHSTR, 4, 0,     /* 4 */
 'T', 'r', 'u', 'e',
                HB_P_JUMP, 11, 0,	/* 11 (abs: 00358) */
                HB_P_PUSHSTR, 5, 0,     /* 5 */
 'F', 'a', 'l', 's', 'e',
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 27, 2,	/* 539 (abs: 00904) */
/* 00368 */  HB_P_LINE, 99, 0,		/* 99 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'A',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 182, 0,	/* 182 (abs: 00561) */
/* 00382 */  HB_P_LINE, 100, 0,		/* 100 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 17, 0,	/* 17 (abs: 00405) */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 '{',
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 13, 0,	/* 13 (abs: 00415) */
                HB_P_PUSHSTR, 0, 0,     /* 0 */

                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
/* 00415 */  HB_P_LINE, 105, 0,		/* 105 */
                HB_P_PUSHSYM, 6, 0,      /* LEN */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_FUNCTION, 1, 0,
                HB_P_POPLOCAL, 7, 0,	/* NLEN */
                HB_P_PUSHLOCAL, 7, 0,	/* NLEN */
                HB_P_POP,
/* 00435 */  HB_P_LINE, 106, 0,		/* 106 */
                HB_P_PUSHINT, 1, 0,     /* 1 */
                HB_P_POPLOCAL, 6, 0,	/* N */
                HB_P_PUSHLOCAL, 7, 0,	/* NLEN */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_PUSHINT, 1, 0,     /* 1 */
                HB_P_FORTEST,
                HB_P_JUMPTRUE, 77, 0,	/* 77 (abs: 00531) */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHSYM, 2, 0,      /* TOCHAR */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_ARRAYAT,
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_FUNCTION, 3, 0,
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
/* 00488 */  HB_P_LINE, 108, 0,		/* 108 */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_PUSHLOCAL, 7, 0,	/* NLEN */
                HB_P_NOTEQUAL,
                HB_P_JUMPFALSE, 20, 0,	/* 20 (abs: 00518) */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 3, 0,	/* 3 (abs: 00518) */
/* 00518 */  HB_P_LINE, 111, 0,		/* 111 */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_PLUS,
                HB_P_POPLOCAL, 6, 0,	/* N */
                HB_P_JUMP, 172, 255,	/* 65452 (abs: 65980) */
/* 00531 */  HB_P_LINE, 112, 0,		/* 112 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 21, 0,	/* 21 (abs: 00558) */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 '}',
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 3, 0,	/* 3 (abs: 00558) */
                HB_P_JUMP, 90, 1,	/* 346 (abs: 00904) */
/* 00561 */  HB_P_LINE, 116, 0,		/* 116 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'B',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 50, 0,	/* 50 (abs: 00622) */
/* 00575 */  HB_P_LINE, 117, 0,		/* 117 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 21, 0,	/* 21 (abs: 00602) */
                HB_P_PUSHSTR, 5, 0,     /* 5 */
 'B', 'l', 'o', 'c', 'k',
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 20, 0,	/* 20 (abs: 00619) */
                HB_P_PUSHSYM, 7, 0,      /* EVAL */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_FUNCTION, 1, 0,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 29, 1,	/* 285 (abs: 00904) */
/* 00622 */  HB_P_LINE, 123, 0,		/* 123 */
                HB_P_PUSHLOCAL, 4, 0,	/* CVALTXT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 'O',
                HB_P_EXACTLYEQUAL,
                HB_P_JUMPFALSE, 12, 1,	/* 268 (abs: 00901) */
/* 00636 */  HB_P_LINE, 124, 0,		/* 124 */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_JUMPFALSE, 227, 0,	/* 227 (abs: 00869) */
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_MESSAGE, 8, 0,      /* CLASSNAME */
                HB_P_FUNCTION, 0, 0,
                HB_P_PUSHSTR, 2, 0,     /* 2 */
 '(', '#',
                HB_P_PLUS,
                HB_P_PUSHSYM, 2, 0,      /* TOCHAR */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_MESSAGE, 9, 0,      /* CLASSH */
                HB_P_FUNCTION, 0, 0,
                HB_P_FUNCTION, 1, 0,
                HB_P_PLUS,
                HB_P_PUSHSTR, 3, 0,     /* 3 */
 ')', ':', '{',
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
/* 00691 */  HB_P_LINE, 126, 0,		/* 126 */
                HB_P_PUSHSYM, 10, 0,      /* AOGET */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_FUNCTION, 1, 0,
                HB_P_POPLOCAL, 8, 0,	/* ADATA */
                HB_P_PUSHLOCAL, 8, 0,	/* ADATA */
                HB_P_POP,
/* 00711 */  HB_P_LINE, 127, 0,		/* 127 */
                HB_P_PUSHSYM, 6, 0,      /* LEN */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 8, 0,	/* ADATA */
                HB_P_FUNCTION, 1, 0,
                HB_P_POPLOCAL, 7, 0,	/* NLEN */
                HB_P_PUSHLOCAL, 7, 0,	/* NLEN */
                HB_P_POP,
/* 00731 */  HB_P_LINE, 128, 0,		/* 128 */
                HB_P_PUSHINT, 1, 0,     /* 1 */
                HB_P_POPLOCAL, 6, 0,	/* N */
                HB_P_PUSHLOCAL, 7, 0,	/* NLEN */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_PUSHINT, 1, 0,     /* 1 */
                HB_P_FORTEST,
                HB_P_JUMPTRUE, 98, 0,	/* 98 (abs: 00848) */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 8, 0,	/* ADATA */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_ARRAYAT,
                HB_P_PUSHINT, 1, 0,     /* 1 */
                HB_P_ARRAYAT,
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 ':',
                HB_P_PLUS,
                HB_P_PUSHSYM, 2, 0,      /* TOCHAR */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 8, 0,	/* ADATA */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_ARRAYAT,
                HB_P_PUSHINT, 2, 0,     /* 2 */
                HB_P_ARRAYAT,
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_FUNCTION, 3, 0,
                HB_P_PLUS,
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
/* 00805 */  HB_P_LINE, 131, 0,		/* 131 */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_PUSHLOCAL, 7, 0,	/* NLEN */
                HB_P_NOTEQUAL,
                HB_P_JUMPFALSE, 20, 0,	/* 20 (abs: 00835) */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 3, 0,	/* 3 (abs: 00835) */
/* 00835 */  HB_P_LINE, 134, 0,		/* 134 */
                HB_P_PUSHLOCAL, 6, 0,	/* N */
                HB_P_PLUS,
                HB_P_POPLOCAL, 6, 0,	/* N */
                HB_P_JUMP, 151, 255,	/* 65431 (abs: 66276) */
/* 00848 */  HB_P_LINE, 135, 0,		/* 135 */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHSTR, 1, 0,     /* 1 */
 '}',
                HB_P_PLUS,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 32, 0,	/* 32 (abs: 00898) */
                HB_P_PUSHSYM, 2, 0,      /* TOCHAR */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XTXT */
                HB_P_MESSAGE, 11, 0,      /* RUN */
                HB_P_FUNCTION, 0, 0,
                HB_P_PUSHLOCAL, 2, 0,	/* CSEPARATOR */
                HB_P_PUSHLOCAL, 3, 0,	/* LDEBUG */
                HB_P_FUNCTION, 3, 0,
                HB_P_POPLOCAL, 5, 0,	/* COUT */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_POP,
                HB_P_JUMP, 6, 0,	/* 6 (abs: 00904) */
/* 00901 */  HB_P_LINE, 140, 0,		/* 140 */
/* 00904 */  HB_P_LINE, 142, 0,		/* 142 */
                HB_P_PUSHLOCAL, 5, 0,	/* COUT */
                HB_P_RETVALUE,
                HB_P_JUMP, 3, 0,	/* 3 (abs: 00914) */
/* 00914 */  HB_P_ENDPROC };

   VirtualMachine( pcode, symbols );
}

HARBOUR HB_DEBUG( void )
{
  static BYTE pcode[] = { 
                HB_P_FRAME, 0, 1,		/* locals, params */
/* 00006 */  HB_P_LINE, 152, 0,		/* 152 */
                HB_P_PUSHSYM, 13, 0,      /* QOUT */
                HB_P_PUSHNIL,
                HB_P_PUSHSYM, 2, 0,      /* TOCHAR */
                HB_P_PUSHNIL,
                HB_P_PUSHLOCAL, 1, 0,	/* XITEM */
                HB_P_PUSHSTR, 2, 0,     /* 2 */
 ',', ' ',
                HB_P_TRUE,
                HB_P_FUNCTION, 3, 0,
                HB_P_DO, 1, 0,
/* 00032 */  HB_P_LINE, 154, 0,		/* 154 */
                HB_P_PUSHLOCAL, 1, 0,	/* XITEM */
                HB_P_RETVALUE,
                HB_P_JUMP, 3, 0,	/* 3 (abs: 00042) */
/* 00042 */  HB_P_ENDPROC };

   VirtualMachine( pcode, symbols );
}

